---
title: Update an index
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Logs Indexes
---

# Update an index{% #update-an-index %}
Copy pageCopied
{% tab title="v1" %}

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v1/logs/config/indexes/{name} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v1/logs/config/indexes/{name} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v1/logs/config/indexes/{name}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v1/logs/config/indexes/{name}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v1/logs/config/indexes/{name}  |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v1/logs/config/indexes/{name}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v1/logs/config/indexes/{name} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v1/logs/config/indexes/{name} |

### Overview



Update an index as identified by its name. Returns the Index object passed in the request body when the request is successful.

Using the `PUT` method updates your index's configuration by **replacing** your current configuration with the new one sent to your Datadog organization.



### Arguments

#### Path Parameters

| Name                   | Type   | Description            |
| ---------------------- | ------ | ---------------------- |
| name [*required*] | string | Name of the log index. |

### Request

#### Body Data (required)

Object containing the new `LogsIndexUpdateRequest`.

{% tab title="Model" %}

| Parent field      | Field                                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| ----------------- | ---------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                   | daily_limit                              | int64    | The number of log events you can send in this index per day before you are rate-limited.                                                                                                                                                                                                                                                                                                                                                                                         |
|                   | daily_limit_reset                        | object   | Object containing options to override the default daily limit reset time.                                                                                                                                                                                                                                                                                                                                                                                                        |
| daily_limit_reset | reset_time                               | string   | String in `HH:00` format representing the time of day the daily limit should be reset. The hours must be between 00 and 23 (inclusive).                                                                                                                                                                                                                                                                                                                                          |
| daily_limit_reset | reset_utc_offset                         | string   | String in `(-|+)HH:00` format representing the UTC offset to apply to the given reset time. The hours must be between -12 and +14 (inclusive).                                                                                                                                                                                                                                                                                                                                   |
|                   | daily_limit_warning_threshold_percentage | double   | A percentage threshold of the daily quota at which a Datadog warning event is generated.                                                                                                                                                                                                                                                                                                                                                                                         |
|                   | disable_daily_limit                      | boolean  | If true, sets the `daily_limit` value to null and the index is not limited on a daily basis (any specified `daily_limit` value in the request is ignored). If false or omitted, the index's current `daily_limit` is maintained.                                                                                                                                                                                                                                                 |
|                   | exclusion_filters                        | [object] | An array of exclusion objects. The logs are tested against the query of each filter, following the order of the array. Only the first matching active exclusion matters, others (if any) are ignored.                                                                                                                                                                                                                                                                            |
| exclusion_filters | filter                                   | object   | Exclusion filter is defined by a query, a sampling rule, and a active/inactive toggle.                                                                                                                                                                                                                                                                                                                                                                                           |
| filter            | query                                    | string   | Default query is `*`, meaning all logs flowing in the index would be excluded. Scope down exclusion filter to only a subset of logs with a log query.                                                                                                                                                                                                                                                                                                                            |
| filter            | sample_attribute                         | string   | Sample attribute to use for the sampling of logs going through this exclusion filter. When set, only the logs with the specified attribute are sampled.                                                                                                                                                                                                                                                                                                                          |
| filter            | sample_rate [*required*]            | double   | Sample rate to apply to logs going through this exclusion filter, a value of 1.0 excludes all logs matching the query.                                                                                                                                                                                                                                                                                                                                                           |
| exclusion_filters | is_enabled                               | boolean  | Whether or not the exclusion filter is active.                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| exclusion_filters | name [*required*]                   | string   | Name of the index exclusion filter.                                                                                                                                                                                                                                                                                                                                                                                                                                              |
|                   | filter [*required*]                 | object   | Filter for logs.                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| filter            | query                                    | string   | The filter query.                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
|                   | num_flex_logs_retention_days             | int64    | The total number of days logs are stored in Standard and Flex Tier before being deleted from the index. If Standard Tier is enabled on this index, logs are first retained in Standard Tier for the number of days specified through `num_retention_days`, and then stored in Flex Tier until the number of days specified in `num_flex_logs_retention_days` is reached. The available values depend on retention plans specified in your organization's contract/subscriptions. | **Note**: Changing this value affects all logs already in this index. It may also affect billing. |
|                   | num_retention_days                       | int64    | The number of days logs are stored in Standard Tier before aging into the Flex Tier or being deleted from the index. The available values depend on retention plans specified in your organization's contract/subscriptions.                                                                                                                                                                                                                                                     | **Note**: Changing this value affects all logs already in this index. It may also affect billing. |
|                   | tags                                     | [string] | A list of tags associated with the index. Tags must be in `key:value` format.                                                                                                                                                                                                                                                                                                                                                                                                    |

{% /tab %}

{% tab title="Example" %}

```json
{
  "daily_limit": 300000000,
  "daily_limit_reset": {
    "reset_time": "14:00",
    "reset_utc_offset": "+02:00"
  },
  "daily_limit_warning_threshold_percentage": 70,
  "disable_daily_limit": false,
  "exclusion_filters": [
    {
      "filter": {
        "query": "*",
        "sample_attribute": "@ci.job_id",
        "sample_rate": 1
      },
      "is_enabled": false,
      "name": "payment"
    }
  ],
  "filter": {
    "query": "source:python"
  },
  "num_flex_logs_retention_days": 360,
  "num_retention_days": 15,
  "tags": [
    "team:backend",
    "env:production"
  ]
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Object describing a Datadog Log index.

| Parent field      | Field                                    | Type     | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| ----------------- | ---------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                   | daily_limit                              | int64    | The number of log events you can send in this index per day before you are rate-limited.                                                                                                                                                                                                                                                                                                                                                                                         |
|                   | daily_limit_reset                        | object   | Object containing options to override the default daily limit reset time.                                                                                                                                                                                                                                                                                                                                                                                                        |
| daily_limit_reset | reset_time                               | string   | String in `HH:00` format representing the time of day the daily limit should be reset. The hours must be between 00 and 23 (inclusive).                                                                                                                                                                                                                                                                                                                                          |
| daily_limit_reset | reset_utc_offset                         | string   | String in `(-|+)HH:00` format representing the UTC offset to apply to the given reset time. The hours must be between -12 and +14 (inclusive).                                                                                                                                                                                                                                                                                                                                   |
|                   | daily_limit_warning_threshold_percentage | double   | A percentage threshold of the daily quota at which a Datadog warning event is generated.                                                                                                                                                                                                                                                                                                                                                                                         |
|                   | exclusion_filters                        | [object] | An array of exclusion objects. The logs are tested against the query of each filter, following the order of the array. Only the first matching active exclusion matters, others (if any) are ignored.                                                                                                                                                                                                                                                                            |
| exclusion_filters | filter                                   | object   | Exclusion filter is defined by a query, a sampling rule, and a active/inactive toggle.                                                                                                                                                                                                                                                                                                                                                                                           |
| filter            | query                                    | string   | Default query is `*`, meaning all logs flowing in the index would be excluded. Scope down exclusion filter to only a subset of logs with a log query.                                                                                                                                                                                                                                                                                                                            |
| filter            | sample_attribute                         | string   | Sample attribute to use for the sampling of logs going through this exclusion filter. When set, only the logs with the specified attribute are sampled.                                                                                                                                                                                                                                                                                                                          |
| filter            | sample_rate [*required*]            | double   | Sample rate to apply to logs going through this exclusion filter, a value of 1.0 excludes all logs matching the query.                                                                                                                                                                                                                                                                                                                                                           |
| exclusion_filters | is_enabled                               | boolean  | Whether or not the exclusion filter is active.                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| exclusion_filters | name [*required*]                   | string   | Name of the index exclusion filter.                                                                                                                                                                                                                                                                                                                                                                                                                                              |
|                   | filter [*required*]                 | object   | Filter for logs.                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| filter            | query                                    | string   | The filter query.                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
|                   | is_rate_limited                          | boolean  | A boolean stating if the index is rate limited, meaning more logs than the daily limit have been sent. Rate limit is reset every-day at 2pm UTC.                                                                                                                                                                                                                                                                                                                                 |
|                   | name [*required*]                   | string   | The name of the index.                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
|                   | num_flex_logs_retention_days             | int64    | The total number of days logs are stored in Standard and Flex Tier before being deleted from the index. If Standard Tier is enabled on this index, logs are first retained in Standard Tier for the number of days specified through `num_retention_days`, and then stored in Flex Tier until the number of days specified in `num_flex_logs_retention_days` is reached. The available values depend on retention plans specified in your organization's contract/subscriptions. |
|                   | num_retention_days                       | int64    | The number of days logs are stored in Standard Tier before aging into the Flex Tier or being deleted from the index. The available values depend on retention plans specified in your organization's contract/subscriptions.                                                                                                                                                                                                                                                     |
|                   | tags                                     | [string] | A list of tags associated with the index. Tags must be in `key:value` format.                                                                                                                                                                                                                                                                                                                                                                                                    |

{% /tab %}

{% tab title="Example" %}

```json
{
  "daily_limit": 300000000,
  "daily_limit_reset": {
    "reset_time": "14:00",
    "reset_utc_offset": "+02:00"
  },
  "daily_limit_warning_threshold_percentage": 70,
  "exclusion_filters": [
    {
      "filter": {
        "query": "*",
        "sample_attribute": "@ci.job_id",
        "sample_rate": 1
      },
      "is_enabled": false,
      "name": "payment"
    }
  ],
  "filter": {
    "query": "source:python"
  },
  "is_rate_limited": false,
  "name": "main",
  "num_flex_logs_retention_days": 360,
  "num_retention_days": 15,
  "tags": [
    "team:backend",
    "env:production"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Invalid Parameter Error
{% tab title="Model" %}
Response returned by the Logs API when errors occur.

| Parent field | Field   | Type     | Description                    |
| ------------ | ------- | -------- | ------------------------------ |
|              | error   | object   | Error returned by the Logs API |
| error        | code    | string   | Code identifying the error     |
| error        | details | [object] | Additional error details       |
| error        | message | string   | Error message                  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "error": {
    "code": "string",
    "details": [],
    "message": "string"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
Error response object.

| Field                    | Type     | Description                          |
| ------------------------ | -------- | ------------------------------------ |
| errors [*required*] | [string] | Array of errors returned by the API. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too Many Requests
{% tab title="Model" %}
Response returned by the Logs API when errors occur.

| Parent field | Field   | Type     | Description                    |
| ------------ | ------- | -------- | ------------------------------ |
|              | error   | object   | Error returned by the Logs API |
| error        | code    | string   | Code identifying the error     |
| error        | details | [object] | Additional error details       |
| error        | message | string   | Error message                  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "error": {
    "code": "string",
    "details": [],
    "message": "string"
  }
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export name="CHANGE_ME" \# Curl command curl -X PUT "https://api.datadoghq.com/api/v1/logs/config/indexes/${name}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "daily_limit": 300000000,
  "daily_limit_warning_threshold_percentage": 70,
  "disable_daily_limit": false,
  "exclusion_filters": [
    {
      "filter": {
        "query": "*",
        "sample_rate": 1
      },
      "is_enabled": true,
      "name": "payment"
    }
  ],
  "filter": {
    "query": "source:python"
  },
  "num_retention_days": 15
}
EOF 
                
##### 

```python
"""
Update an index returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v1.api.logs_indexes_api import LogsIndexesApi
from datadog_api_client.v1.model.logs_daily_limit_reset import LogsDailyLimitReset
from datadog_api_client.v1.model.logs_exclusion import LogsExclusion
from datadog_api_client.v1.model.logs_exclusion_filter import LogsExclusionFilter
from datadog_api_client.v1.model.logs_filter import LogsFilter
from datadog_api_client.v1.model.logs_index_update_request import LogsIndexUpdateRequest

body = LogsIndexUpdateRequest(
    daily_limit=300000000,
    daily_limit_reset=LogsDailyLimitReset(
        reset_time="14:00",
        reset_utc_offset="+02:00",
    ),
    daily_limit_warning_threshold_percentage=70.0,
    disable_daily_limit=False,
    exclusion_filters=[
        LogsExclusion(
            filter=LogsExclusionFilter(
                query="*",
                sample_attribute="@ci.job_id",
                sample_rate=1.0,
            ),
            name="payment",
        ),
    ],
    filter=LogsFilter(
        query="source:python",
    ),
    num_flex_logs_retention_days=360,
    num_retention_days=15,
    tags=[
        "team:backend",
        "env:production",
    ],
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = LogsIndexesApi(api_client)
    response = api_instance.update_logs_index(name="name", body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Update an index returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V1::LogsIndexesAPI.new

body = DatadogAPIClient::V1::LogsIndexUpdateRequest.new({
  daily_limit: 300000000,
  daily_limit_reset: DatadogAPIClient::V1::LogsDailyLimitReset.new({
    reset_time: "14:00",
    reset_utc_offset: "+02:00",
  }),
  daily_limit_warning_threshold_percentage: 70,
  disable_daily_limit: false,
  exclusion_filters: [
    DatadogAPIClient::V1::LogsExclusion.new({
      filter: DatadogAPIClient::V1::LogsExclusionFilter.new({
        query: "*",
        sample_attribute: "@ci.job_id",
        sample_rate: 1.0,
      }),
      name: "payment",
    }),
  ],
  filter: DatadogAPIClient::V1::LogsFilter.new({
    query: "source:python",
  }),
  num_flex_logs_retention_days: 360,
  num_retention_days: 15,
  tags: [
    "team:backend",
    "env:production",
  ],
})
p api_instance.update_logs_index("name", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Update an index returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV1"
)

func main() {
	body := datadogV1.LogsIndexUpdateRequest{
		DailyLimit: datadog.PtrInt64(300000000),
		DailyLimitReset: &datadogV1.LogsDailyLimitReset{
			ResetTime:      datadog.PtrString("14:00"),
			ResetUtcOffset: datadog.PtrString("+02:00"),
		},
		DailyLimitWarningThresholdPercentage: datadog.PtrFloat64(70),
		DisableDailyLimit:                    datadog.PtrBool(false),
		ExclusionFilters: []datadogV1.LogsExclusion{
			{
				Filter: &datadogV1.LogsExclusionFilter{
					Query:           datadog.PtrString("*"),
					SampleAttribute: datadog.PtrString("@ci.job_id"),
					SampleRate:      1.0,
				},
				Name: "payment",
			},
		},
		Filter: datadogV1.LogsFilter{
			Query: datadog.PtrString("source:python"),
		},
		NumFlexLogsRetentionDays: datadog.PtrInt64(360),
		NumRetentionDays:         datadog.PtrInt64(15),
		Tags: []string{
			"team:backend",
			"env:production",
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV1.NewLogsIndexesApi(apiClient)
	resp, r, err := api.UpdateLogsIndex(ctx, "name", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `LogsIndexesApi.UpdateLogsIndex`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `LogsIndexesApi.UpdateLogsIndex`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Update an index returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v1.api.LogsIndexesApi;
import com.datadog.api.client.v1.model.LogsDailyLimitReset;
import com.datadog.api.client.v1.model.LogsExclusion;
import com.datadog.api.client.v1.model.LogsExclusionFilter;
import com.datadog.api.client.v1.model.LogsFilter;
import com.datadog.api.client.v1.model.LogsIndex;
import com.datadog.api.client.v1.model.LogsIndexUpdateRequest;
import java.util.Arrays;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    LogsIndexesApi apiInstance = new LogsIndexesApi(defaultClient);

    LogsIndexUpdateRequest body =
        new LogsIndexUpdateRequest()
            .dailyLimit(300000000L)
            .dailyLimitReset(new LogsDailyLimitReset().resetTime("14:00").resetUtcOffset("+02:00"))
            .dailyLimitWarningThresholdPercentage(70.0)
            .disableDailyLimit(false)
            .exclusionFilters(
                Collections.singletonList(
                    new LogsExclusion()
                        .filter(
                            new LogsExclusionFilter()
                                .query("*")
                                .sampleAttribute("@ci.job_id")
                                .sampleRate(1.0))
                        .name("payment")))
            .filter(new LogsFilter().query("source:python"))
            .numFlexLogsRetentionDays(360L)
            .numRetentionDays(15L)
            .tags(Arrays.asList("team:backend", "env:production"));

    try {
      LogsIndex result = apiInstance.updateLogsIndex("name", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling LogsIndexesApi#updateLogsIndex");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Update an index returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV1::api_logs_indexes::LogsIndexesAPI;
use datadog_api_client::datadogV1::model::LogsDailyLimitReset;
use datadog_api_client::datadogV1::model::LogsExclusion;
use datadog_api_client::datadogV1::model::LogsExclusionFilter;
use datadog_api_client::datadogV1::model::LogsFilter;
use datadog_api_client::datadogV1::model::LogsIndexUpdateRequest;

#[tokio::main]
async fn main() {
    let body = LogsIndexUpdateRequest::new(LogsFilter::new().query("source:python".to_string()))
        .daily_limit(300000000)
        .daily_limit_reset(
            LogsDailyLimitReset::new()
                .reset_time("14:00".to_string())
                .reset_utc_offset("+02:00".to_string()),
        )
        .daily_limit_warning_threshold_percentage(70.0 as f64)
        .disable_daily_limit(false)
        .exclusion_filters(vec![LogsExclusion::new("payment".to_string()).filter(
            LogsExclusionFilter::new(1.0)
                .query("*".to_string())
                .sample_attribute("@ci.job_id".to_string()),
        )])
        .num_flex_logs_retention_days(360)
        .num_retention_days(15)
        .tags(vec![
            "team:backend".to_string(),
            "env:production".to_string(),
        ]);
    let configuration = datadog::Configuration::new();
    let api = LogsIndexesAPI::with_config(configuration);
    let resp = api.update_logs_index("name".to_string(), body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Update an index returns "OK" response
 */

import { client, v1 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v1.LogsIndexesApi(configuration);

const params: v1.LogsIndexesApiUpdateLogsIndexRequest = {
  body: {
    dailyLimit: 300000000,
    dailyLimitReset: {
      resetTime: "14:00",
      resetUtcOffset: "+02:00",
    },
    dailyLimitWarningThresholdPercentage: 70,
    disableDailyLimit: false,
    exclusionFilters: [
      {
        filter: {
          query: "*",
          sampleAttribute: "@ci.job_id",
          sampleRate: 1.0,
        },
        name: "payment",
      },
    ],
    filter: {
      query: "source:python",
    },
    numFlexLogsRetentionDays: 360,
    numRetentionDays: 15,
    tags: ["team:backend", "env:production"],
  },
  name: "name",
};

apiInstance
  .updateLogsIndex(params)
  .then((data: v1.LogsIndex) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
